


function pmb_elemental.smash_smoke_puff(pos, amount, dist)
    if not dist then dist = 2 end
    for i=1, amount do
        local r = vector.new(
            (math.random()-0.5) * dist,
            (math.random()-0.0) * dist/2,
            (math.random()-0.5) * dist)
        local p = vector.add(pos, r)
        minetest.add_particle({
            pos = p,
            velocity = vector.multiply(r, i/10),
            texture = "pmb_cooking_particle_finished_cooking.png^[colorize:#eeeeee00:100",
            expirationtime = math.random() * 2,
            size = math.random() * 4 + 8,
        })
    end
end
